System Requirements

Supported Operating Systems

GroupDocs.Viewer for .NET can be used on any 32-bit or 64-bit operating system where .NET Framework, .NET Core 3.1 or .NET is installed including, but not limited to:

Windows

  • Microsoft Windows Server 2003 and later
  • Microsoft Windows XP (x64, x86)
  • Microsoft Windows Vista (x64, x86)
  • Microsoft Windows 7, 8, 8.1 (x64, x86)
  • Microsoft Windows 10 (x64, x86)
  • Microsoft Windows 11 (x64)

Linux

  • Linux (Ubuntu, OpenSUSE, CentOS and others)

Mac

  • Mac OS X

Supported Frameworks

GroupDocs.Viewer for .NET supports .NET as follows:

.NET

  • .NET 5
  • .NET 6

.NET Core

  • .NET Core 3.1

.NET Framework

  • .NET Framework 2.0
  • .NET Framework 3.5
  • .NET Framework 4.0
  • .NET Framework 4.5.0
  • .NET Framework 4.5.1
  • .NET Framework 4.5.2
  • .NET Framework 4.6.0
  • .NET Framework 4.6.2
  • .NET Framework 4.5.0
  • .NET Framework 4.5.1
  • .NET Framework 4.6.0
  • .NET Framework 4.6.2
  • .NET Framework 4.7
  • .NET Framework 4.7.2
  • .NET Framework 4.8

Development Environments

GroupDocs.Viewer for .NET can be used to develop applications in any development environment that targets .NET, but the following environments are explicitly supported:

  • Microsoft Visual Studio 2010 and later
  • Microsoft Visual Studio for Mac
  • Rider from JetBrains